QR குறியீடுகள்
GET https://tistos.com/api/qr-codes/
curl --request GET \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| அளவுருக்கள் | விவரங்கள் | விளக்கம் |
|---|---|---|
| search | விருப்பமான கோப்பு | தேடல் சரம். |
| search_by | விருப்பமான கோப்பு | நீங்கள் எந்த துறையில் தேடுகிறீர்கள். அனுமதிக்கப்பட்ட மதிப்புகள்: name. |
| project_id | விருப்பமான முழு எண் | |
| type | விருப்பமான கோப்பு | நீங்கள் எந்த துறையில் தேடுகிறீர்கள். அனுமதிக்கப்பட்ட மதிப்புகள்: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | விருப்பமான கோப்பு | அனுமதிக்கப்பட்ட மதிப்புகள்: datetime, last_datetime |
| datetime_start | விருப்பமான கோப்பு | இந்த தேதி மற்றும் நேரத்திலிருந்து முடிவுகளை வடிகட்டவும். வடிவம் Y-m-d H:i:s. |
| datetime_end | விருப்பமான கோப்பு | இந்த தேதி மற்றும் நேரம் வரை முடிவுகளை வடிகட்டவும். வடிவம் Y-m-d H:i:s. |
| order_by | விருப்பமான கோப்பு | என்ன துறையில் முடிவுகளை வரிசைப்படுத்த வேண்டும். அனுமதிக்கப்பட்ட மதிப்புகள்: qr_code_id, datetime, last_datetime, name, type. |
| order_type | விருப்பமான கோப்பு | முடிவுகளின் வரிசை. அனுமதிக்கப்பட்ட மதிப்புகள்: ASC என்பது உயர்வான வரிசைக்காக, மற்றும் DESC என்பது குறைவான வரிசைக்காக. |
| page | விருப்பமான முழு எண் | நீங்கள் முடிவுகளைப் பெற விரும்பும் பக்கம் எண். இயல்பாக 1 ஆக இருக்கும். |
| results_per_page | விருப்பமான முழு எண் | ஒரு பக்கத்திற்கு நீங்கள் எவ்வளவு முடிவுகளை விரும்புகிறீர்கள். அனுமதிக்கப்பட்ட மதிப்புகள்: 10, 25, 50, 100, 250, 500, 1000. இயல்பாக 25 ஆக உள்ளது. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://tistos.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-07-18 11:36:29",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/qr-codes?page=1",
"last": "https://tistos.com/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/qr-codes?page=1"
}
}
GET https://tistos.com/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://tistos.com/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-07-18 11:36:29",
}
}
POST https://tistos.com/api/qr-codes
| அளவுருக்கள் | விவரங்கள் | விளக்கம் |
|---|---|---|
curl --request POST \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \